[oggvideotools] 01/02: Also test oggJoin using audio file, to trigger a bug on big endian machines.

Petter Reinholdtsen pere at moszumanska.debian.org
Tue Sep 22 09:59:09 UTC 2015


This is an automated email from the git hooks/post-receive script.

pere pushed a commit to branch master
in repository oggvideotools.

commit f36cd4d452e72c0d3bd9002b2acd9e5461858933
Author: Petter Reinholdtsen <pere at hungry.com>
Date:   Tue Sep 22 11:58:03 2015 +0200

    Also test oggJoin using audio file, to trigger a bug on big endian machines.
---
 debian/tests/control      |  3 ++-
 debian/tests/test-oggjoin | 11 ++++++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 15ea5dc..cd45a0d 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,4 @@
 Tests: test-oggjoin
-Depends: @, debconf 
+Depends: @, debconf, python-pygame
 Restrictions:
+
diff --git a/debian/tests/test-oggjoin b/debian/tests/test-oggjoin
index b872e88..6980756 100755
--- a/debian/tests/test-oggjoin
+++ b/debian/tests/test-oggjoin
@@ -1,4 +1,7 @@
 #!/bin/sh
+#
+# Need the packages mktemp, debconf and python-pygame, the latter two
+# for an example image and ogg sound.
 
 set -e
 at_exit() {
@@ -17,14 +20,20 @@ echo "info: Running autopkgtest script $0"
 echo "info: Generating Ogg Theora file"
 oggSlideshow /usr/share/pixmaps/debian-logo.png
 
-# Join it.  This should trigger the bug reported in bug #606224
+# Join it.
 echo "info: Copy Ogg Theora file using oggJoin."
 oggJoin out.ogv slideshow.ogv
 
+# This should trigger the bug reported in bug #606224, which need an
+# audio file.
+echo "info: Copy Ogg Vorbis file using oggJoin."
+oggJoin out.ogv /usr/lib/python*/dist-packages/pygame/examples/data/house_lo.ogg
+
 if [ -e out.ogv ] ; then
    echo "success: Ogg Theora file out.ogv created."
 else
    echo "error: No Ogg Theora file created by oggJoin."
+   exit 1
 fi
 
 echo "info: test completed successfully"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-xiph/oggvideotools.git



More information about the pkg-xiph-commits mailing list